diff --git a/formats/c-sharp/CSharpTop.hs b/formats/c-sharp/CSharpTop.hs
index b2ad6f0..62d94bd 100644
--- a/formats/c-sharp/CSharpTop.hs
+++ b/formats/c-sharp/CSharpTop.hs
@@ -49,6 +49,7 @@ import CFtoCSharpPrinter
 import CFtoLatex
 import CSharpUtils
 import GetCF
+import qualified Control.Exception as E
 import Data.Char
 import System.IO
 import System.Directory
@@ -359,7 +360,9 @@ projectguid = do
       -- This works with Visual Studio 2005.
       -- We will probably have to be modify this to include another environment variable name for Orcas.
       -- I doubt there is any need to support VS2003? (I doubt they have patched it up to have 2.0 support?)
-      toolpath <- catch (getEnv "VS80COMNTOOLS") (\_ -> return "C:\\Program Files\\Microsoft Visual Studio 8\\Common7\\Tools")
+      toolpath <- (E.catch :: IO a -> (E.IOException -> IO a) -> IO a)
+                      (getEnv "VS80COMNTOOLS")
+                      (\_ -> return "C:\\Program Files\\Microsoft Visual Studio 8\\Common7\\Tools")
       exists <- doesDirectoryExist toolpath
       if exists
         then return (Just (toolpath ++ "\\uuidgen.exe"))
diff --git a/formats/java/JavaTop.hs b/formats/java/JavaTop.hs
index e1f877a..80f6af1 100644
--- a/formats/java/JavaTop.hs
+++ b/formats/java/JavaTop.hs
@@ -38,7 +38,8 @@ module JavaTop ( makeJava ) where
 -- Dependencies.
 -------------------------------------------------------------------
 import System.Directory	( createDirectory )
-import System.IO.Error		( try, isAlreadyExistsError )
+import qualified Control.Exception as E
+import qualified System.IO.Error as E ( isAlreadyExistsError )
 
 import Utils
 import CF
@@ -113,9 +114,9 @@ mkFiles make name cf =
 
       chkExists :: FilePath -> IO ()
       chkExists dir =
-	  do eErr <- try $ createDirectory dir
+	  do eErr <- E.try $ createDirectory dir
 	     case eErr of
-	       Left ioerr -> if isAlreadyExistsError ioerr
+	       Left ioerr -> if E.isAlreadyExistsError ioerr
 			       then return ()
 			       else fail $ show ioerr
 	       Right ()   -> putStrLn $ "Created directory: " ++ dir
diff --git a/formats/java1.5/JavaTop15.hs b/formats/java1.5/JavaTop15.hs
index 25bf123..ff06739 100644
--- a/formats/java1.5/JavaTop15.hs
+++ b/formats/java1.5/JavaTop15.hs
@@ -39,7 +39,6 @@ module JavaTop15 ( makeJava15 ) where
 -- Dependencies.
 -------------------------------------------------------------------
 import System.Directory	( createDirectory )
-import System.IO.Error		( try, isAlreadyExistsError )
 
 import Utils
 import CF
